import { CircleDashed, SuccessFill, X } from "@sofa-design/icons";
import classNames from "clsx";
import React, { memo } from "react";
import { Loading } from "../../Components/Loading";
import { LOADING_SIZE } from "../constants";
export var StatusIcon = /*#__PURE__*/ memo(function(param) {
    var status = param.status, prefixCls = param.prefixCls, hashId = param.hashId;
    var statusMap = {
        success: /*#__PURE__*/ React.createElement(SuccessFill, null),
        loading: /*#__PURE__*/ React.createElement(Loading, {
            size: LOADING_SIZE
        }),
        pending: /*#__PURE__*/ React.createElement("div", {
            className: classNames("".concat(prefixCls, "-status-idle"), hashId)
        }, /*#__PURE__*/ React.createElement(CircleDashed, null)),
        error: /*#__PURE__*/ React.createElement(X, null)
    };
    return /*#__PURE__*/ React.createElement("div", {
        className: classNames("".concat(prefixCls, "-status"), "".concat(prefixCls, "-status-").concat(status), hashId),
        "data-testid": "task-list-status-".concat(status)
    }, statusMap[status]);
});
StatusIcon.displayName = 'StatusIcon';
